<template>
  <div class="container-home">
    <div class="title-container">
      {{test}}
      <h1>NameGator</h1>
      <h6>Gerador de nome utilizando Vue.js</h6>
      <p>{{name}}</p>
    </div>
    <div>
      <div class="grid-container">
        <CardClumn
          title="Prefixos"
          v-bind:items="prefixes"
          :input="true"
          :add="addPrefixes"
          :remove="removePrefixes"
        />
        <CardClumn
          title="Sufixos"
          v-bind:items="sufixes"
          :input="true"
          :add="addSufixes"
          :remove="removeSufixes"
        />
      </div>
      <div>
        <CardClumn
          title="Domains"
          v-bind:items="domains"
          :input="false"
        />
      </div>
    </div>
  </div>
</template>

<script>
import CardClumn from '../components/CardColumn'

export default {
  components: {
    CardClumn
  },
  data () {
    return { 
      prefixes: ['Air', 'Jet', 'Flight'],
      sufixes: ['Hub', 'Station', 'Mart'],
    }
  },
  methods: {
    addPrefixes (value) {
      this.prefixes.push(value)
    },
    removePrefixes (value) {
      this.prefixes.splice(this.prefixes.indexOf(value), 1)
    },
    addSufixes (value) {
      this.sufixes.push(value)
    },
    removeSufixes (value) {
      this.sufixes.splice(this.sufixes.indexOf(value), 1)
    },
  },
  computed : {
    domains () {
      const domains = [];
      for (const prefix of this.prefixes) {
        for (const sufix of this.sufixes) {
          domains.push(prefix + sufix)
        }
      }
      return domains
    }
  },
}
</script>
  
<style lang="scss" scoped>
.container-home {
  text-align: center;
}
.title-container {
  margin: 2rem;
  h1 {
    font-size: 4rem;
    margin: 2rem;
  }

  h6 {
    font-size: 2rem;
    margin: 0;
  }
}

.main {
  display: grid;
  grid-template-columns: auto auto;
  grid-template-rows: auto auto;
}

.grid-container {
  display: grid;
  grid-template-columns: auto auto;
  grid-template-rows: auto auto;
}
</style>